# Disseny de una PCB per el control y regulació del sistema de combustible d'un vehicle

**Membres del grup**: Alex Martinez, Kiril Ferrer 

## Objetiu
Diseñar una PCB que se pueda usar para medir y regular el sistema de combustible de un automovil.

## Requisits / Especificacions
- Mecanismo de cierre del deposito
- Calculo del nivel de combustible
- Regulacion del uso del combustible

## Diagrama de blocs
![Diagrama](Diagrama de blocs.jpg)

## Components
| Ref. | Descripcio| Datasheet | Proveidor |
| ------ | -----------------| ------------------| ------|
| PIC18F258| Microntrolador 28 pines | [datasheet](https://ww1.microchip.com/downloads/aemDocuments/documents/MCU08/ProductDocuments/DataSheets/41159e.pdf)| [Microchip Technology](https://www.microchip.com/en-us/product/PIC18F258#purchase-from-store)|
| LM340 | Regulador de tension constante, 5V | [datasheet](https://www.ti.com/lit/ds/symlink/lm7800.pdf)| [Texas Instruments](https://www.ti.com/product/LM7800/part-details/LM7812CT/NOPB)|
| YF-S201 | Sensor de Flujo mediante sensor de efecto Hall | [datasheet](http://www.mantech.co.za/datasheets/products/yf-s201_sea.pdf)| [Sensorae](https://www.sensorae.com/inicio/1701-sensor-de-caudal-de-agua-liquido-yf-s201-water-flow-meter-sensor-hall-effect.html)|
| ECS-40-20-5PX-TR | Cristal SMD | [datasheet](https://www.mouser.es/datasheet/2/122/csm_7x-1299.pdf)| [Mouser](https://www.mouser.es/ProductDetail/ECS/ECS-40-20-5PX-TR)|
| B3S-1000 | Pulsador de 4 pines | [datasheet](https://www.mouser.es/datasheet/2/307/en-b3f-13826.pdf)| [Mouser](https://www.mouser.es/ProductDetail/Omron-Electronics/B3F-1122-G?qs=1tDaWCEHQQ6eXwlxMmIktw%3D%3D)|
| MCP2551-E/P | Transceptor con BUS CAN | [datasheet](https://www.mouser.es/datasheet/2/268/20001667G-1115479.pdf)| [Mouser](https://www.mouser.es/ProductDetail/Microchip-Technology/MCP2551-E-P)|
| HEP-02A | Bomba para combustible | [datasheet](http://solmetalfa.cl/catalogos/comercializadora/bomba_elevadora/Bomba_elevadora_HEP-02A.pdf)| [Holdlebe](https://www.amazon.es/combustible-universal-HEP-02A-gasolina-Holdlebe/dp/B0749LDJ8C?th=1)|
| LY01 SARY | Cerradura electrica | [datasheet](XXXXX)| [SARY](https://spanish.alibaba.com/product-detail/LY01-SARY-small-electric-control-lock-1600216690832.html)|
| DRV8220DSGR | Driver para motores con H-Bridge | [datasheet](https://www.ti.com/lit/ds/symlink/drv8220.pdf?HQS=dis-mous-null-mousermode-dsf-pf-null-wwe&ts=1681642524014&ref_url=https%253A%252F%252Fwww.mouser.es%252F)| [Mouser](https://www.mouser.es/ProductDetail/Texas-Instruments/DRV8220DSGR?qs=A6eO%252BMLsxmR1BpX9iMystg%3D%3D)|


## Historial de canvis
| Data               | Autor     | Descripcio                                                                                 |
| -------------------- | ------------ | ------------------------------------------------------------------------------------------ |
|  22/03/2023 | Kiril Ferrer| Primera versio del Diagrama de blocs |
|  29/03/2023 | Kiril Ferrer| +Drivers al diagrama de blocs y seleccio del components |
|  06/04/2023 | Alex Martinez| +Especificacio de corrents al diagrama de blocs |
|  11/04/2023 | Kiril Ferrer| Primera versio de la PCB, simplificacio dels drivers de la bomba/la cerradura y conexions de l'esquemoatic |
|  16/04/2023 | Kiril Ferrer| Implementació del H-Bridge, implementacio de conectors DB9 a l'esquematic pel Transciever System, correcio dels drivers |
|  25/04/2023 | Kiril Ferrer| Primera versió del Layout (Sense Routing) |
|  30/04/2023 | Kiril Ferrer| Segona versió del Layout: Routing, millora espaiat y gruix de les vies |
|  07/04/2023 | Kiril Ferrer| Millora espaiat y implementació de ferrita per unir GND i GNDPWR |

